class DeviceListScope {

  // Constructor
  public DeviceListScope() {
  }

  public dyn_string getSectors() { return sectors;}
  public dyn_string getEqpTypes() { return eqpTypes;}
  public dyn_string getDP() { return DPs;}
  public bool deviceMatchesNature(string sAlias) {
    return vacDeviceList_deviceMatchesNature(sAlias, eqpTypes);
  }


// Data storage - all members are private by default
dyn_string sectors;
dyn_string eqpTypes;
dyn_string DPs;

  public bool load(string sDpName, dyn_string &exceptionInfo) {
    if(!dpExists(sDpName)) {
      fwException_raise(exceptionInfo, "ERROR", "DeviceListScope.load(): DP does not exist <" +
                        sDpName + ">", "");
      return false;
    }
    dpGet(sDpName + ".Scope.Sectors", sectors,
          sDpName + ".Scope.EqpTypes", eqpTypes,
          sDpName + ".Scope.DPs", DPs);
    dyn_errClass deErr = getLastError();
    if(dynlen(deErr) < 0) {
      fwException_raise(exceptionInfo, "ERROR", "DeviceListScope.load(): read Scope from <" +
                        sDpName + "> failed", "");
      return false;
    }
    return true;
  }
};
